Package org.jboss.logging.processor.validation

# Class IdRangeValidator

java.lang.Object
org.jboss.logging.processor.validation.IdRangeValidator

public class IdRangeValidator extends Object

Author:
  James R. Perkins

## Constructor Summary

Constructors
Constructor
Description
`IdRangeValidator()`

## Method Summary

Modifier and Type
Method
Description
`Collection<ValidationMessage>`
`validate(MessageInterface messageInterface)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IdRangeValidator

public IdRangeValidator()

## Method Details

### validate

public Collection<ValidationMessage> validate(MessageInterface messageInterface)